#!/bin/sh 
set -e
set +x 
(
        echo Starting packer provisioning.
        sysctl -n kern.version
        printf 'permit nopass :wheel\n' > /etc/doas.conf
        printf 'PasswordAuthentication yes\nPermitRootLogin yes\n' >> /etc/ssh/sshd_config
        echo Cleaning SSH keys
        rm -f /etc/ssh/ssh_host*
        echo Cleaning caches
        find /var/log -type f | while read f; do echo -ne '' > $f; done
        find /tmp -type f | while read f; do echo -ne '' > $f; done
        sync
        sync
        echo Packer provisionning done.
)
exit 0
